Set a pipeline as default
curl --request POST \
--url https://your-instance.example.com/api/pipelines/set-default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0"
}
'import requests
url = "https://your-instance.example.com/api/pipelines/set-default"
payload = { "pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pipelineId: '66f0a0b0c0d0e0f0a0b0c0d0'})
};
fetch('https://your-instance.example.com/api/pipelines/set-default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Pipeline updated",
"pipeline": {
"_id": "66f0a0b0c0d0e0f0a0b0c0d0",
"name": "Sales pipeline",
"type": "Contact",
"isDefault": true
},
"contactsMigrated": {
"New Lead -> New": 14,
"Qualified Lead -> Qualified": 8
}
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}Pipelines
Set a pipeline as default
Promote a pipeline to be the org-wide default for its type. The previously-default pipeline keeps its records but loses the default flag.
POST
/
api
/
pipelines
/
set-default
Set a pipeline as default
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pipeline to promote to default for its type; previously-default pipelines on the same type lose the flag.
Response
Default pipeline updated
Show child attributes
Show child attributes
Example:
{
"_id": "66f0a0b0c0d0e0f0a0b0c0d0",
"name": "Sales pipeline",
"description": "NA sales pipeline",
"organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
"type": "Contact",
"isDefault": true,
"isActive": true,
"stages": [
{ "name": "New", "color": "#3B82F6" },
{ "name": "Qualified", "color": "#10B981" }
],
"pipelineStageIds": [
"67f0a0b0c0d0e0f0a0b0c0d0",
"67f0a0b0c0d0e0f0a0b0c0d1"
],
"pipelineStages": [
{
"_id": "67f0a0b0c0d0e0f0a0b0c0d0",
"name": "New",
"color": "#3B82F6",
"position": 0
},
{
"_id": "67f0a0b0c0d0e0f0a0b0c0d1",
"name": "Qualified",
"color": "#10B981",
"position": 1
}
],
"createdBy": "65b1f0a2c3d4e5f6a7b8c9d0",
"updatedBy": "65b1f0a2c3d4e5f6a7b8c9d0"
}
Show child attributes
Show child attributes
⌘I